Please sync libgeda 1.4.3-1(universe) from debian unstable(main)

Bug #322648 reported by Bhavani Shankar on 2009-01-29
8
Affects Status Importance Assigned to Milestone
libgeda (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync the latest version of libgeda from debian as they have updated their package to the latest upstream version

 libgeda (1:1.4.3-1) unstable; urgency=low

   * New upstream bug fix release
   * Added build-dependency on intltool

 -- Hamish Moffatt <email address hidden> Mon, 16 Feb 2009 10:10:40 +1100

Bhavani Shankar (bhavi) on 2009-01-29
Changed in libgeda:
assignee: nobody → bhavi
status: New → In Progress
Bhavani Shankar (bhavi) wrote :
Changed in libgeda:
assignee: bhavi → nobody
status: In Progress → Confirmed
Aanjhan Ranganathan (aanjhan) wrote :

Have you merged it? Because Jaunty has local changes than the new version Debian.

Also there needs to be a merge bug. Please read https://wiki.ubuntu.com/UbuntuDevelopment/Merging

Daniel Holbach (dholbach) wrote :

Aanjhan: there's no real Ubuntu local change - it was merely a rebuild.

Bhavani: I don't see a 1.4.3 - there's just 1.4.0-3 in Debian.

Bhavani Shankar (bhavi) wrote :

@ daniel

There is a new upstream version available here:

http://geda.seul.org/release/v1.4/1.4.3/libgeda-1.4.3.tar.gz

(i.e 1.4.3 the new version)

and I have prepared the diff against the new version.

Regards

Bhavani Shankar (bhavi) wrote :

Updating the package against the new version published in jaunty

Assigning to myself

Changed in libgeda:
assignee: nobody → bhavi
status: Confirmed → In Progress
Bhavani Shankar (bhavi) wrote :
Bhavani Shankar (bhavi) wrote :
Bhavani Shankar (bhavi) wrote :
Changed in libgeda:
assignee: bhavi → nobody
status: In Progress → Confirmed
Daniel Holbach (dholbach) wrote :

Does it work alright with the rest of the geda world? Do you know why it wasn't put into Debian yet? I'm a bit unsure about the update.

Bhavani Shankar (bhavi) wrote :

Yup I am working on the latest version of geda-gnetlist which requires libgeda 1.4.3 and its fine on my system ... also a number of packages require an update like geda-symbols and geda-gschem (for the whole list please see http://geda.seul.org/release/v1.4/1.4.3/) Okay shall wait till the new version is released in debian

Regards

Daniel Holbach (dholbach) wrote :

I did not say "please wait till it is in Debian". It'd just be nice to get input from the Debian maintainers and see if they are interested in the new versions as well.

Bhavani Shankar (bhavi) wrote :

Daniel,

I am down with ill health now and will mail the debian science team in a couple of days..

Regards

Bhavani Shankar (bhavi) wrote :

I mean the debian electronics team ..

Regards

Daniel Holbach (dholbach) wrote :

Thanks a bunch. Unsubscribing Sponsors until then.

I'm unsubscribing the Sponsors' Team for now. Please re-subscribe when ready.

Ok, seems like these are supposed to go into Lenny too. Are you going to take care of an update of all the required components?

Bhavani Shankar (bhavi) wrote :

Yes daniel preparing them will open bugs in a couple of days (mostly on 14th)

Regards

Daniel Holbach (dholbach) wrote :

Can we sync it from Debian now?

Bhavani Shankar (bhavi) wrote :

yes I think daniel. Since they have added dependency on intltool which fixes FTBFS

Converting to sync request

Regards

description: updated
Changed in libgeda:
status: Confirmed → New
Daniel Holbach (dholbach) wrote :

ACKed.

Changed in libgeda:
status: New → Confirmed
Changed in libgeda:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments